KDE 4.7 PyKDE API Reference

- KDE's Python API

# Maneuver Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Enumerations

Direction | { Unknown, Straight, SlightRight, Right, SharpRight, TurnAround, SharpLeft, Left, SlightLeft, RoundaboutFirstExit, RoundaboutSecondExit, RoundaboutThirdExit, RoundaboutExit }

## Methods

| __init__ (self)
Marble.Maneuver.Direction | direction (self)
QString | directionPixmap (self)
bool | hasWaypoint (self)
QString | instructionText (self)
Marble.GeoDataCoordinates | position (self)
| setDirection (self, Marble.Maneuver.Direction direction)
| setInstructionText (self, QString text)
| setPosition (self, Marble.GeoDataCoordinates position)
| setWaypoint (self, Marble.GeoDataCoordinates waypoint)
Marble.GeoDataCoordinates | waypoint (self)

## Method Documentation

__init__ | ( |  | self ) |

Marble.Maneuver.Direction direction | ( |  | self ) |

QString directionPixmap | ( |  | self ) |

bool hasWaypoint | ( |  | self ) |

QString instructionText | ( |  | self ) |

Marble.GeoDataCoordinates position | ( |  | self ) |

setDirection | ( | self, |
|  | Marble.Maneuver.Direction | direction
| ) |  |  |

setInstructionText | ( | self, |
|  | QString | text
| ) |  |  |

setPosition | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

setWaypoint | ( | self, |
|  | Marble.GeoDataCoordinates | waypoint
| ) |  |  |

Marble.GeoDataCoordinates waypoint | ( |  | self ) |

## Enumeration Documentation

Direction

Enumerator:

  Unknown = 0 |
  Straight |
  SlightRight |
  Right |
  SharpRight |
  TurnAround |
  SharpLeft |
  Left |
  SlightLeft |
  RoundaboutFirstExit |
  RoundaboutSecondExit |
  RoundaboutThirdExit |
  RoundaboutExit |